%global pypi_name PySimpleSOAP
%global rpmname SimpleSOAP

Name:           python-%{rpmname}
Version:        1.16.2
Release:        2%{?dist}
Summary:        Python simple and lightweight SOAP Library

License:        LGPLv3
URL:            https://github.com/pysimplesoap/pysimplesoap
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Python simple and lightweight SOAP library for client and
server web services interfaces, aimed to be as small and easy
as possible, supporting most common functionality. 

%package -n     python3-%{rpmname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{rpmname}
Python simple and lightweight SOAP library for client and 
server web services interfaces, aimed to be as small and easy 
as possible, supporting most common functionality. 

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
for lib in %{buildroot}%{python_sitearch}/pysimplesoap/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
%py3_install

%files -n python3-%{rpmname}
%{python3_sitelib}/pysimplesoap
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Aug 11 2019 Huzaifa Sidhpurwala <huzaifas@redhat.com> 1.16.2-2
- Ensure there are no rpmlint warnings

* Sat Aug 10 2019 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 1.16.2-1
- Initial package.
